-
    headers: 'User-Agent: Mozilla/5.0 (BeOS; U; Haiku BePC; xx; rv:1.8.1.10pre) Gecko/20080112'
    result: { engine: { name: Gecko, version: 1.8.1 }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'an unknown browser based on Gecko 1.8.1 running on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (BeOS; U; Haiku BePC; xx; rv:1.8.1.18) Gecko/20081114 BonEcho/2.0.0.18'
    result: { browser: { name: Firefox, version: 2.0.0.18, type: browser }, engine: { name: Gecko, version: 1.8.1 }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'Firefox BonEcho 2.0.0.18 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (BeOS; U; Haiku BePC; xx; rv:1.8.1.25pre) Gecko/20120921 BonEcho/2.0.0.22pre'
    result: { browser: { name: Firefox, version: 2.0.0.22, type: browser }, engine: { name: Gecko, version: 1.8.1 }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'Firefox BonEcho 2.0.0.22 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (Macintosh; Intel Haiku R1 x86) AppleWebKit/538.1 (KHTML, like Gecko) QupZilla/1.7.0 Safari/538.1'
    result: { browser: { name: QupZilla, version: 1.7.0, type: browser }, engine: { name: Webkit, version: '538.1' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'QupZilla 1.7.0 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (Macintosh; Intel Haiku R1 x86) AppleWebKit/538.26 (KHTML, like Gecko) WebPositive/1.2 Safari/538.26'
    result: { browser: { name: WebPositive, version: '1.2', type: browser }, engine: { name: Webkit, version: '538.26' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive 1.2 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (compatible; Haiku R1 x86; xx) AppleWebKit/536.10 (KHTML, like Gecko) WebPositive/1.1 Safari/536.10'
    result: { browser: { name: WebPositive, version: '1.1', type: browser }, engine: { name: Webkit, version: '536.10' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive 1.1 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (compatible; Haiku R1 x86; xx) AppleWebKit/538.18 (KHTML, like Gecko) WebPositive/1.2 Safari/538.18'
    result: { browser: { name: WebPositive, version: '1.2', type: browser }, engine: { name: Webkit, version: '538.18' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive 1.2 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (compatible; U; Haiku x86; xx) AppleWebKit/536.10 (KHTML, like Gecko) Haiku/R1 WebPositive/1.1 Safari/536.10'
    result: { browser: { name: WebPositive, version: '1.1', type: browser }, engine: { name: Webkit, version: '536.10' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive 1.1 on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (compatible; U; InfiNet 0.1; Haiku) AppleWebKit/528+ (KHTML, like Gecko) WebPositive/528+ Safari/528+'
    result: { browser: { name: WebPositive, type: browser }, engine: { name: Webkit, version: '528' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (compatible; U; WebPositive/533.4; Haiku) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.55 Safari/533.4'
    result: { browser: { name: WebPositive, family: { name: Chrome, version: 5 }, type: browser }, engine: { name: Webkit, version: '533.4' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive on Haiku'
-
    headers: 'User-Agent: Mozilla/5.0 (compatible; x86 Haiku R1; xx) AppleWebKit/537.1 (KHTML, like Gecko) WebPositive/1.2 Safari/537.1'
    result: { browser: { name: WebPositive, version: '1.2', type: browser }, engine: { name: Webkit, version: '537.1' }, os: { name: Haiku }, device: { type: desktop } }
    readable: 'WebPositive 1.2 on Haiku'
